Subject: bug#68320: 30.0.50; filename completion with tramp fails on Windows

From: Corwin Brust <[email-masked]>
Date: Wed, 10 Jan 2024 09:26:08 -0600

On Wed, Jan 10, 2024 at 9:16 AM Michael Albinus via Bug reports for
GNU Emacs, the Swiss army knife of text editors
<[email-masked]> wrote:
>
> Michael Albinus <[email-masked]> writes:
> >>> 1. Start Emacs that is placed in D: drive.
> >>> 2. Evaluate (require 'tramp) to load tramp.el.
> >>> 3. Type C-x C-f c : / TAB TAB
> >>
> >> I can reproduce this by starting Emacs placed in an H: drive and then
> >> attempting to complete starting from C-x C-f c:/p <TAB> which should
> >> offer me a folder called "projects" however the completion candidates
> >> appear to be from my HOME directory (set by Environment Variable
> >> before starting Emacs).
> >
> I've fixed this in the master branch. Could you, pls, give it some
> testing.

I will kick-off a MSYS2/MINGW64 build from the development branch
shortly and report back; thanks for looking into this so quickly!